## EmpathyThemeAdium

EmpathyThemeAdium

## Synopsis

                        EmpathyAdiumData;
                        EmpathyThemeAdium;
    EmpathyThemeAdium * empathy_theme_adium_new             (EmpathyAdiumData *data);
    gboolean            empathy_adium_path_is_valid         (const gchar *path);
    GHashTable *        empathy_adium_info_new              (const gchar *path);
    #define             EMPATHY_TYPE_ADIUM_DATA
    GType               empathy_adium_data_get_type         (void);
    EmpathyAdiumData *  empathy_adium_data_new              (const gchar *path);
    EmpathyAdiumData *  empathy_adium_data_new_with_info    (const gchar *path,
                                                             GHashTable *info);
    EmpathyAdiumData *  empathy_adium_data_ref              (EmpathyAdiumData *data);
    void                empathy_adium_data_unref            (EmpathyAdiumData *data);
    GHashTable *        empathy_adium_data_get_info         (EmpathyAdiumData *data);
    const gchar *       empathy_adium_data_get_path         (EmpathyAdiumData *data);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----WebKitWebView
                                     +----EmpathyThemeAdium

## Implemented Interfaces

EmpathyThemeAdium implements AtkImplementorIface, GtkBuildable and EmpathyChatView.

## Properties

      "adium-data"               EmpathyAdiumData*     : Read / Write / Construct Only

## Description

## Details

### EmpathyAdiumData

    typedef struct _EmpathyAdiumData EmpathyAdiumData;

### EmpathyThemeAdium

    typedef struct _EmpathyThemeAdium EmpathyThemeAdium;

### empathy_theme_adium_new ()

    EmpathyThemeAdium * empathy_theme_adium_new             (EmpathyAdiumData *data);

`data` : |
Returns : |

### empathy_adium_path_is_valid ()

    gboolean            empathy_adium_path_is_valid         (const gchar *path);

`path` : |
Returns : |

### empathy_adium_info_new ()

    GHashTable *        empathy_adium_info_new              (const gchar *path);

`path` : |
Returns : |

### EMPATHY_TYPE_ADIUM_DATA

    #define EMPATHY_TYPE_ADIUM_DATA (empathy_adium_data_get_type ())

### empathy_adium_data_get_type ()

    GType               empathy_adium_data_get_type         (void);

Returns : |

### empathy_adium_data_new ()

    EmpathyAdiumData *  empathy_adium_data_new              (const gchar *path);

`path` : |
Returns : |

### empathy_adium_data_new_with_info ()

    EmpathyAdiumData *  empathy_adium_data_new_with_info    (const gchar *path,
                                                             GHashTable *info);

`path` : |
`info` : |
Returns : |

### empathy_adium_data_ref ()

    EmpathyAdiumData *  empathy_adium_data_ref              (EmpathyAdiumData *data);

`data` : |
Returns : |

### empathy_adium_data_unref ()

    void                empathy_adium_data_unref            (EmpathyAdiumData *data);

`data` : |

### empathy_adium_data_get_info ()

    GHashTable *        empathy_adium_data_get_info         (EmpathyAdiumData *data);

`data` : |
Returns : |

### empathy_adium_data_get_path ()

    const gchar *       empathy_adium_data_get_path         (EmpathyAdiumData *data);

`data` : |
Returns : |

## Property Details

### The `"adium-data"` property

      "adium-data"               EmpathyAdiumData*     : Read / Write / Construct Only

Data for the adium theme.